Subject: [Gen-art] Update to incorporating Genart last call review of draft-ietf-dhc-dhcp4o6-saddr-opt-04

From: [email-masked]
Date: Tue, 2 Oct 2018 18:18:52 +0200

Hi,

I’ve just submitted an update to this draft to address Elwyn’s Gen-ART review comments. Thank again for the review.

In addition to the editorial comments, there are the following changes:

Text for s7.4 bullet point now reads:
  o  The number of bytes received in the bind-ipv6-prefix field is consistent
with the received bindprefix6-len value (calculated as described in Section 6.1).

References to RFCs 7596 and 7597 have been added to the abstract, and para 2 now starts with:
"DHCPv6 Options for Configuration of Softwire Address and   Port-Mapped Clients (RFC7598) describes a deterministic
        DHCPv6 based mechanism for provisioning softwires."

For the comment about a default timeout value re-trying the v6 binding address update, I’ve taken Bernie’s suggestion (use RFC2131 sec 3.1). 60 seconds seems like a reasonable time interval, but given that the text of sec 3.1 only gives 4 re-tries/60 secs as an example, I haven’t referenced it. The text in section 7.5 now has the following text: 

"The default time minimum time for the client to attempt
   retransmission is 60 seconds.  If, after this time has expired, the
   client has not received a DHCPACK message with the correct bound IPv6
   address, client MAY send a DHCPRELEASE message and re-start the
   process described in Section 7.”

And section 8 has:
"If  implemented, the default minimum client source address update
   interval is 60 seconds.”

Thanks,
Ian